Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Interface IContextDataElement

All Known Implementing Classes:
  ContextDataElementImpl

public interface IContextDataElement

Version:
  1.0
Author:
  rduggan Taken from "Canonical Situation Data Format: The Common Base Event V1.0.1 ACAB.BO0301.0.1" The ContextDataElement type defines the context(s) that this event is referencing. This complex type holds data that is used to assist with correlating messages or events generated along the execution path of a unit of work for problem diagnostic purposes.

Method Summary
`java.lang.String` | `getContextId()` Returns the contextId.
`java.lang.String` | `getContextValue()` Returns the contextValue.
`java.lang.String` | `getName()` Returns the name.
`java.lang.String` | `getType()` Returns the type.
`void` | `init()` Resets the object's properties to their initial (e.g.
`void` | `setContextId(java.lang.String contextId)` Sets the contextId.
`void` | `setContextValue(java.lang.String contextValue)` Sets the contextValue.
`void` | `setName(java.lang.String name)` Sets the name.
`void` | `setType(java.lang.String type)` Sets the type.

Method Detail

### getContextId

    public java.lang.String getContextId()

  Returns the contextId. This property is the reference to the element that contains the context. This is not required if contextValue specifies a value

  Returns:
    String

### getContextValue

    public java.lang.String getContextValue()

  Returns the contextValue. The value of the context with respect to the implementation of the context. This is not required if contextId specifies a value.

  Returns:
    String

### getName

    public java.lang.String getName()

  Returns the name. Name of the application that created this context data element. This is a REQUIRED property.

  Returns:
    String

### getType

    public java.lang.String getType()

  Returns the type. The data type of the contextValue property. This is a REQUIRED property.

  Returns:
    String

### setContextId

    public void setContextId(java.lang.String contextId)

  Sets the contextId. This property is the reference to the element that contains the context. This is not required if contextValue specifies a value

  Parameters:
    `contextId` - The contextId to set

### setContextValue

    public void setContextValue(java.lang.String contextValue)

  Sets the contextValue. The value of the context with respect to the implementation of the context. This is not required if contextId specifies a value.

  Parameters:
    `contextValue` - The contextValue to set

### setName

    public void setName(java.lang.String name)

  Sets the name. Name of the application that created this context data element. This is a REQUIRED property.

  Parameters:
    `name` - The name to set

### setType

    public void setType(java.lang.String type)

  Sets the type. The data type of the contextValue property. This is a REQUIRED property.

  Parameters:
    `type` - The type to set

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state.

  Since:
    1.0.1

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD